%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
%global modname             drush
%global upstream_version    All-versions-4.1
%global drushbase           %{_datadir}/%{modname}

Name:    drupal%{drupalver}-%{modname}
Version: 4.1
Release: 3%{?dist}
Summary: Drush command line shell for Drupal6
Group:   Applications/Publishing
License: GPLv2
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{upstream_version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6, php-cli 

%description
Drush is a command line shell and scripting interface for Drupal, 
a veritable Swiss Army knife designed to make life easier for 
those of us who spend some of our working hours hacking away 
at the command prompt.

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .
cp %{SOURCE2} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drushbase}/
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drushbase}/'{}' \;
chmod 755 %{buildroot}%{drushbase}/drush

%clean
rm -rf %{buildroot}

%post
ln -s %{drushbase}/drush /usr/bin/drush

%postun
unlink /usr/bin/drush

%files
%defattr(-,root,root,-)
# Remember to include other documentation text here as well
%doc LICENSE.txt %{name}-fedora-README.txt
# Remember to exclude all documentation texts from above
%exclude %{drushbase}/LICENSE.txt
%exclude %{drushbase}/%{name}-fedora-README.txt
%{drushbase}

%changelog
* Wed Mar 14 2012 Anderson Silva <ansilva@redhat.com> - 4.1-3
- Fix License

* Mon Mar 12 2012 Anderson Silva <ansilva@redhat.com> - 4.1-2
- Fix drush permission

* Mon Mar 12 2012 Anderson Silva <ansilva@redhat.com> - 4.1-1
- Initial rpm package
